commit ac47b3b7666eedb58a8d5e5b8781725006afff92
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Fri Feb 28 00:23:33 2025 +0000

    Daily bump.

diff --git a/gcc/ChangeLog b/gcc/ChangeLog
index 17ae983e110..d10e5495f4e 100644
--- a/gcc/ChangeLog
+++ b/gcc/ChangeLog
@@ -1,3 +1,11 @@
+2025-02-27  Haochen Jiang  <haochen.jiang@intel.com>
+
+	* config/i386/x86-tune.def
+	(X86_TUNE_DEST_FALSE_DEP_FOR_GLC): Add GNR, GNR-D.
+	(X86_TUNE_AVOID_256FMA_CHAINS): Ditto.
+	(X86_TUNE_AVX512_MOVE_BY_PIECES): Ditto.
+	(X86_TUNE_AVX512_STORE_BY_PIECES): Ditto.
+
 2025-02-25  Stefan Schulze Frielinghaus  <stefansf@gcc.gnu.org>
 
 	Backported from master:
diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index 78e945cf0f0..e392026598c 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20250227
+20250228
diff --git a/gcc/cp/ChangeLog b/gcc/cp/ChangeLog
index ed85ca5046a..6f436124bff 100644
--- a/gcc/cp/ChangeLog
+++ b/gcc/cp/ChangeLog
@@ -1,3 +1,41 @@
+2025-02-27  Jason Merrill  <jason@redhat.com>
+
+	Backported from master:
+	2025-02-15  Jason Merrill  <jason@redhat.com>
+
+	PR c++/118053
+	* constexpr.cc (cxx_eval_constant_expression): Generalize
+	DECL_VALUE_EXPR invisiref handling.
+
+2025-02-27  Jason Merrill  <jason@redhat.com>
+
+	PR c++/118673
+	PR c++/118285
+	* call.cc (convert_like_internal) [ck_list]: Stop using
+	maybe_init_list_as_array for GCC 14.
+
+2025-02-27  Iain Sandoe  <iains.gcc@gmail.com>
+
+	PR c++/118673
+	* tree.cc (lvalue_kind): Mark CONST_DECLs as mergable
+	when they are also TREE_STATIC.
+
+2025-02-27  Jason Merrill  <jason@redhat.com>
+
+	PR c++/118673
+	* call.cc (maybe_init_list_as_array): Check for lvalue
+	initializers.
+	* cp-tree.h (enum cp_lvalue_kind_flags): Add clk_mergeable.
+	* tree.cc (lvalue_kind): Return it.
+	(non_mergeable_glvalue_p): New.
+	(test_lvalue_kind): Adjust.
+
+2025-02-27  Jason Merrill  <jason@redhat.com>
+
+	PR c++/118285
+	* constexpr.cc (cxx_eval_vec_init_1): Build INIT_EXPR for
+	initializing a class.
+
 2025-02-13  Nathaniel Shead  <nathanieloshead@gmail.com>
 
 	PR c++/118849
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index 05ba20dfd38..324ed7193bb 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,31 @@
+2025-02-27  Jason Merrill  <jason@redhat.com>
+
+	* g++.dg/cpp2a/concepts-pr67774.C: Change target to c++20_only.
+
+2025-02-27  Jason Merrill  <jason@redhat.com>
+
+	Backported from master:
+	2025-02-15  Jason Merrill  <jason@redhat.com>
+
+	PR c++/118053
+	* g++.dg/cpp1y/constexpr-lambda1.C: New test.
+
+2025-02-27  Jason Merrill  <jason@redhat.com>
+
+	PR c++/118673
+	PR c++/118285
+	* g++.dg/tree-ssa/initlist-opt5.C: Add xfail.
+
+2025-02-27  Jason Merrill  <jason@redhat.com>
+
+	PR c++/118673
+	* g++.dg/cpp0x/initlist-opt6.C: New test.
+
+2025-02-27  Jason Merrill  <jason@redhat.com>
+
+	PR c++/118285
+	* g++.dg/cpp0x/initlist-opt7.C: New test.
+
 2025-02-25  Stefan Schulze Frielinghaus  <stefansf@gcc.gnu.org>
 
 	Backported from master:

